Bug 429652 - USB Serial Adapters not recognized
USB Serial Adapters not recognized
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity high
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 01:30 EST by Akira Tsukamoto
Modified: 2013-11-03 20:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 20:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add support for usb-serial adapters (1.92 KB, patch)
2008-01-22 01:30 EST, Akira Tsukamoto
no flags Details | Diff

  None (edit)
Description Akira Tsukamoto 2008-01-22 01:30:32 EST
Description of problem:

pl2303.c does not recognize some of usb-serial adapters.

This patch adds support for following USB Serial Adapters, which are majority 
and commonly sold in Japanese market.
  IO-DATA  USB-RSAQ5
  RATOC    REX USB60F

These patches are already included in mainline kernel git tree.

Signed-off-by: Akira Tsukamoto <akirat@rd.scei.sony.co.jp>
---

--- linux-2.6.18-orig/drivers/usb/serial/pl2303.c	2006-09-20 
12:42:06.000000000 +0900
+++ linux-2.6.18/drivers/usb/serial/pl2303.c	2008-01-22 14:45:56.000000000 
+0900
@@ -56,6 +56,7 @@ static struct usb_device_id id_table [] 
 	{ USB_DEVICE(PL2303_VENDOR_ID, PL2303_PRODUCT_ID_RSAQ3) },
 	{ USB_DEVICE(PL2303_VENDOR_ID, PL2303_PRODUCT_ID_PHAROS) },
 	{ USB_DEVICE(IODATA_VENDOR_ID, IODATA_PRODUCT_ID) },
+	{ USB_DEVICE(IODATA_VENDOR_ID, IODATA_PRODUCT_ID_RSAQ5) },
 	{ USB_DEVICE(ATEN_VENDOR_ID, ATEN_PRODUCT_ID) },
 	{ USB_DEVICE(ATEN_VENDOR_ID2, ATEN_PRODUCT_ID) },
 	{ USB_DEVICE(ELCOM_VENDOR_ID, ELCOM_PRODUCT_ID) },
@@ -64,6 +65,7 @@ static struct usb_device_id id_table [] 
 	{ USB_DEVICE(ITEGNO_VENDOR_ID, ITEGNO_PRODUCT_ID_2080) },
 	{ USB_DEVICE(MA620_VENDOR_ID, MA620_PRODUCT_ID) },
 	{ USB_DEVICE(RATOC_VENDOR_ID, RATOC_PRODUCT_ID) },
+	{ USB_DEVICE(RATOC_VENDOR_ID, RATOC_PRODUCT_ID_USB60F) },
 	{ USB_DEVICE(TRIPP_VENDOR_ID, TRIPP_PRODUCT_ID) },
 	{ USB_DEVICE(RADIOSHACK_VENDOR_ID, RADIOSHACK_PRODUCT_ID) },
 	{ USB_DEVICE(DCU10_VENDOR_ID, DCU10_PRODUCT_ID) },
--- linux-2.6.18-orig/drivers/usb/serial/pl2303.h	2006-09-20 
12:42:06.000000000 +0900
+++ linux-2.6.18/drivers/usb/serial/pl2303.h	2008-01-22 14:43:07.000000000 
+0900
@@ -20,6 +20,7 @@
 
 #define IODATA_VENDOR_ID	0x04bb
 #define IODATA_PRODUCT_ID	0x0a03
+#define IODATA_PRODUCT_ID_RSAQ5	0x0a0e
 
 #define ELCOM_VENDOR_ID		0x056e
 #define ELCOM_PRODUCT_ID	0x5003
@@ -34,6 +35,7 @@
 
 #define RATOC_VENDOR_ID		0x0584
 #define RATOC_PRODUCT_ID	0xb000
+#define RATOC_PRODUCT_ID_USB60F	0xb020
 
 #define TRIPP_VENDOR_ID		0x2478
 #define TRIPP_PRODUCT_ID	0x2008
Comment 1 Akira Tsukamoto 2008-01-22 01:30:32 EST
Created attachment 292470 [details]
add support for usb-serial adapters
Comment 3 Ian Forde 2008-01-27 16:04:26 EST
I'd like to add another device to this list.  The newer Radio Shack pl2303
adapters use not only a different product id, they also use a different vendor
id, necessitating creating RADIOSHACK_VENDOR_ID2.  It's not in the mainline
kernel, but I've just sent off a query for how to get this in...

--- linux-2.6.18-orig/drivers/usb/serial/pl2303.h       2007-09-09
20:38:40.000000000 -0700
+++ linux-2.6.18/drivers/usb/serial/pl2303.h    2007-09-09 20:42:52.000000000 -0700
@@ -41,6 +41,9 @@
 #define RADIOSHACK_VENDOR_ID   0x1453
 #define RADIOSHACK_PRODUCT_ID  0x4026
 
+#define RADIOSHACK_VENDOR_ID2  0x05ad
+#define RADIOSHACK_PRODUCT_ID2_05AD    0x0fba
+
 #define DCU10_VENDOR_ID                0x0731
 #define DCU10_PRODUCT_ID       0x0528
 
--- linux-2.6.18-orig/drivers/usb/serial/pl2303.c       2006-09-19
20:42:06.000000000 -0700
+++ linux-2.6.18/drivers/usb/serial/pl2303.c    2007-09-09 23:31:37.000000000 -0700
@@ -66,6 +66,7 @@
        { USB_DEVICE(RATOC_VENDOR_ID, RATOC_PRODUCT_ID) },
        { USB_DEVICE(TRIPP_VENDOR_ID, TRIPP_PRODUCT_ID) },
        { USB_DEVICE(RADIOSHACK_VENDOR_ID, RADIOSHACK_PRODUCT_ID) },
+       { USB_DEVICE(RADIOSHACK_VENDOR_ID2, RADIOSHACK_PRODUCT_ID2_05AD) },
        { USB_DEVICE(DCU10_VENDOR_ID, DCU10_PRODUCT_ID) },
        { USB_DEVICE(SITECOM_VENDOR_ID, SITECOM_PRODUCT_ID) },
        { USB_DEVICE(ALCATEL_VENDOR_ID, ALCATEL_PRODUCT_ID) },
Comment 4 Ian Forde 2008-01-27 19:41:17 EST
I received a note from Greg K-H, indicating that the pl2303 issue for the Radio
Shack adapter is already in the -mm tree.  The patch to be submitted to Linus
can be found at:
http://www.kernel.org/pub/linux/kernel/people/gregkh/gregkh-2.6/patches/usb/usb-adding-yc-cable-usb-serial-device-to-pl2303.patch

so either one can be used.
Comment 5 Akira Tsukamoto 2008-02-03 22:03:48 EST
Is anybody going to be assigned for these patches?
Comment 6 Ian Forde 2008-02-10 01:01:05 EST
FYI - these changes are now in upstream 2.6.24.1
Comment 7 Ian Forde 2008-04-04 11:10:32 EDT
Granted this is a low-priority ticket, but it's only a few lines of device-id
codes to recognize.  Any chance someone can take a look at this ticket?  I'm
currently in the when-new-kernel-released->patch->recompile-kernel cycle...

Thanks!
Comment 8 Pete Zaitcev 2008-05-27 15:37:14 EDT
It's not a question of "priority" per se, but the fact that RHEL bugs
have to have Issue Tracker tickets assigned to them (which this bug
does not have). I'm not going to comment on merits of this policy.
There can me exceptions, so I added the PM request flag. If PM acks
this, I can proceed with the work (e.g. branch, build, test, and post
for review).
Comment 9 RHEL Product and Program Management 2008-07-25 13:05:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 10 Ludek Smid 2008-07-25 17:54:03 EDT
Unfortunately the previous automated notification about the
non-inclusion of this request in Red Hat Enterprise Linux 5.3 used
the wrong text template. It should have read: this request has been
reviewed by Product Management and is not planned for inclusion
in the current minor release of Red Hat Enterprise Linux.

If you would like this request to be reviewed for the next minor
release, ask your support representative to set the next rhel-x.y
flag to "?" or raise an exception.
Comment 12 John Feeney 2013-11-03 20:44:20 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore is being closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide a sufficient business justification
in order to re-open it.

Note You need to log in before you can comment on or make changes to this bug.